Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.xml
Enum QDomNode.NodeType

    java.lang.Object
      java.lang.Enum<QDomNode.NodeType>
          com.trolltech.qt.xml.QDomNode.NodeType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDomNode.NodeType>

Enclosing class:
  QDomNode

    public static enum QDomNode.NodeType

extends java.lang.Enum<QDomNode.NodeType>
implements QtEnumerator

This enum defines the type of the node.

Constant | Value | Description
--- | --- | ---
`ElementNode` | `1` |
`AttributeNode` | `2` |
`TextNode` | `3` |
`CDATASectionNode` | `4` |
`EntityReferenceNode` | `5` |
`EntityNode` | `6` |
`ProcessingInstructionNode` | `7` |
`CommentNode` | `8` |
`DocumentNode` | `9` |
`DocumentTypeNode` | `10` |
`DocumentFragmentNode` | `11` |
`NotationNode` | `12` |
`BaseNode` | `21` | A `QDomNode` object, i.e. not a `QDomNode` subclass.
`CharacterDataNode` | `22` |

Enum Constant Summary
`AttributeNode` Internal.
`BaseNode` A `QDomNode` object, i.e. not a `QDomNode` subclass.
`CDATASectionNode` Internal.
`CharacterDataNode` Internal.
`CommentNode` Internal.
`DocumentFragmentNode` Internal.
`DocumentNode` Internal.
`DocumentTypeNode` Internal.
`ElementNode` Internal.
`EntityNode` Internal.
`EntityReferenceNode` Internal.
`NotationNode` Internal.
`ProcessingInstructionNode` Internal.
`TextNode` Internal.

Method Summary
`static QDomNode.NodeType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomNode.NodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDomNode.NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ElementNode

    public static final QDomNode.NodeType ElementNode

  Internal.

### AttributeNode

    public static final QDomNode.NodeType AttributeNode

  Internal.

### TextNode

    public static final QDomNode.NodeType TextNode

  Internal.

### CDATASectionNode

    public static final QDomNode.NodeType CDATASectionNode

  Internal.

### EntityReferenceNode

    public static final QDomNode.NodeType EntityReferenceNode

  Internal.

### EntityNode

    public static final QDomNode.NodeType EntityNode

  Internal.

### ProcessingInstructionNode

    public static final QDomNode.NodeType ProcessingInstructionNode

  Internal.

### CommentNode

    public static final QDomNode.NodeType CommentNode

  Internal.

### DocumentNode

    public static final QDomNode.NodeType DocumentNode

  Internal.

### DocumentTypeNode

    public static final QDomNode.NodeType DocumentTypeNode

  Internal.

### DocumentFragmentNode

    public static final QDomNode.NodeType DocumentFragmentNode

  Internal.

### NotationNode

    public static final QDomNode.NodeType NotationNode

  Internal.

### BaseNode

    public static final QDomNode.NodeType BaseNode

  A `QDomNode` object, i.e. not a `QDomNode` subclass.

### CharacterDataNode

    public static final QDomNode.NodeType CharacterDataNode

  Internal.

Method Detail

### values

    public static final QDomNode.NodeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDomNode.NodeType c : QDomNode.NodeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDomNode.NodeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomNode.NodeType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD